package com.om.entity.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 修理厂 实体类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Dept {
    private Integer id; //ID
    private String conpany; //公司名称
    private String contactName; //联系人姓名
    private String contactPhone; //联系人电话
    private String address; //公司地址
    private String telephone; //公司电话
    private String website; //公司网址
    private Integer repairNo; //维修编号
    private Integer enableStatus; //启用状态
    private String remark; //额外备注
    private LocalDateTime createTime; //创建时间
    private LocalDateTime updateTime; //修改时间
}
