package com.om.mapper;

import com.om.entity.po.Dept;
import org.apache.ibatis.annotations.*;

import java.util.List;


/**
 * 修理厂 Mapper
 */
@Mapper
public interface DeptMapper {
    /*
    * 查询全部 修理厂 数据的
    * */
    @Select("select *from distributor")
    List<Dept> list();

    /*根据id删除修理厂*/
    @Delete("delete from distributor where id=#{id};")
    void deleteById(Integer id);

    /*插入信息*/
    @Insert("insert into distributor (createTime,company, telephone, address,remark) values (#{NOW()},#{company},#{telephone},#{address},#{remark})")
    void insert(Dept dept);



    @Select("select * from distributor where id=#{id};")
    void DeptById(Integer id);


    @Update("update distributor set company = #{company} ,telephone=#{telephone},address=#{address} ,remark=#{remark} where id=#{id} ;")
    void Deptupdate(Dept dept);
}
