package com.om;

import com.github.xiaoymin.knife4j.spring.annotations.EnableKnife4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;

@ServletComponentScan//开启了对servlet组件的支持，也就是servlet的支持
@SpringBootApplication
@EnableKnife4j
@MapperScan("com.om.mapper")
public class OperationApplication {
    public static void main(String[] args) {
        SpringApplication.run(OperationApplication.class,args);
    }
}
