package com.om.service.impl;

import com.om.mapper.DeptMapper;
import com.om.entity.po.Dept;
import com.om.service.DeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;


@Service
public class DeptServiceImpl implements DeptService {
@Autowired
    private DeptMapper deptMapper;

    @Override
    public List<Dept> list() {
        return deptMapper.list();
    }

    @Override
    public void delete(Integer id) {
        deptMapper.deleteById(id);
    }

    @Override
    public void add(Dept dept) {
        dept.setCreateTime(LocalDateTime.now());
        dept.setUpdateTime(LocalDateTime.now());

        deptMapper.insert(dept);
    }



    @Override
    public void DeptById(Integer id) {
        deptMapper.DeptById(id);
    }

    @Override
    public void Deptupdate(Dept dept) {
        dept.setUpdateTime(LocalDateTime.now());
        deptMapper.Deptupdate(dept);
    }


}
